/* Add this line if WooCommerce is used on this site */
/* @import "woo-style.css"; */
@import "imt-css/new-style.css";

/* Child theme fonts */
:root {
    --font-family--default: 'Instrument Sans';
    --font-family--h--1: 'Cinzel';
    --font-family--h--2: var(--font-family--h--1);
    --font-family--h--3: var(--font-family--h--1);
    --font-family--h--4: var(--font-family--h--1);
    --font-family--h--5: var(--font-family--h--1);
    --font-family--h--6: var(--font-family--h--1);
    --font-family--h--2--footer: var(--font-family--h--1);
    --font-family--h--3--footer: var(--font-family--h--1);
    --font-family--h--4--footer: var(--font-family--h--1);
    --font-family--main-navigation: var(--font-family--default);
    --font-family--dropdown: var(--font-family--default);
    --font-family--megamenu--heading: var(--font-family--h--1);
    --font-family--gallery--caption: var(--font-family--default);
    --font-family--collapsible: var(--font-family--default);
    --font-family--tab: var(--font-family--default);
    --font-family--button: var(--font-family--default);
    --font-family--h--sub-heading--0: var(--font-family--h--1);
    --font-family--h--lead-text--0: var(--font-family--default);
}

/* * force spacing between sections with full-width layouts */
.imt-page .imt-section.imt-padding-top-bottom-0,
.imt-section.imt-section-margin {
    margin: calc(var(--wp--custom--imt--spacer) * 0.25) 0 calc(var(--wp--custom--imt--spacer) * 0.25);
}

@media only screen and (min-width: 1281px) {

    /* header cta button color before scroll */
    section#imt-header:not(.imt-header-sm) a.imt-btn-primary {
        color: #fff !important;
        border-color: var(--wp--custom--imt--color--palette--background--white) !important;
        background: transparent !important;
    }

    section#imt-header:not(.imt-header-sm) a.imt-btn-primary:hover{
        background-color: var(--wp--custom--imt--color--palette--background--white) !important;
        border-color: var(--wp--custom--imt--color--palette--background--white) !important;
        color: #000 !important;
    }
}

@media only screen and (max-width: 1280px) {

    /* wrap the 4-wide cards because of font wrapping */
    .imt-section .imt-card-group.imt-card-style-default.imt-cards-per-row-4>.acf-innerblocks-container .imt-card {
        width: calc((100% - var(--wp--custom--imt--card-group--style--2--gutter--column--default) * 1) / 2) !important;
    }

    /* wrap the 4-wide cards because of font wrapping */
    .imt-section .imt-card-group.imt-card-style-1.imt-cards-per-row-4>.acf-innerblocks-container .imt-card {
        width: calc((100% - var(--wp--custom--imt--card-group--style--2--gutter--column--default) * 1) / 2) !important;
    }

}

/* clean up file upload layout */
.gform_wrapper.gravity-theme .gform_drop_area {
    background: var(--wp--custom--imt--gravity-forms--input--background) !important;
    border: var(--wp--custom--imt--gravity-forms--input--border--width) dashed var(--wp--custom--imt--color--palette--background--white) !important;
    border-color: var(--wp--custom--imt--color--palette--background--primary--active) !important;
    border-radius: var(--wp--custom--imt--gravity-forms--input--border--radius) !important;
}

/* new style impl for social links */
.imt-social-links a {
    width: 38px;
    height: 38px;
    line-height: 36px;
    border-radius: calc(var(--wp--custom--imt--border-radius) * 0.25);
    background: var(--wp--custom--imt--color--palette--background--primary--active) !important;
    text-align: center !important;
}

.imt-social-links a:hover {
    background: var(--wp--custom--imt--color--palette--background--primary--300) !important;
}

.imt-social-links a:hover i {
    color: var(--wp--custom--imt--color--text--dark);
}

.imt-social-links a i {
    line-height: normal !important;
    vertical-align: middle !important;
}

.imt-social-links.imt-social-horizontal {
    gap: calc(var(--wp--custom--imt--spacer) * .5);
}

.imt-section .imt-card-group.imt-card-style-default.imt-card-borders-none>.acf-innerblocks-container .imt-card {
    border-color: var(--wp--custom--imt--color--palette--background--primary--300) !important;
}

/* updates for wp base search fields - updates the colour 'x' icon in 404 template */
input[type="search"]::-webkit-search-cancel-button {
    filter: contrast(0) brightness(2);
}

.wp-block-search__input::placeholder {
    color: #fff;
    opacity: 0.85;
}

.imt-video-center {
    display: flex !important;
    align-items: center;
    justify-content: center;
}